Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://public-api-demo.clearline.me/pos/{posSystemId}/coupon/active/locationId/{posLocationId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public-api-demo.clearline.me/pos/{posSystemId}/coupon/active/locationId/{posLocationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public-api-demo.clearline.me/pos/{posSystemId}/coupon/active/locationId/{posLocationId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://public-api-demo.clearline.me/pos/{posSystemId}/coupon/active/locationId/{posLocationId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://public-api-demo.clearline.me/pos/{posSystemId}/coupon/active/locationId/{posLocationId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public-api-demo.clearline.me/pos/{posSystemId}/coupon/active/locationId/{posLocationId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public-api-demo.clearline.me/pos/{posSystemId}/coupon/active/locationId/{posLocationId}")
.header("Authorization", "Bearer <token>")
.asString();{
"data": [
{
"id": "<string>",
"code": "<string>",
"url": "<string>",
"couponImage": "<string>",
"status": "example | active | archived | template | deleted",
"name": "<string>",
"title": "<string>",
"subtitle": "<string>",
"description": "<string>",
"couponCategoryId": "<string>",
"couponCategoryName": "<string>",
"banner1": "<string>",
"banner2": "<string>",
"banner3": "<string>",
"banner4": "<string>",
"banner5": "<string>",
"subaccount": "<string>",
"logoUrl": "<string>",
"couponTags": "<string>",
"expiryDate": "<string>",
"promotion": {
"value": 123
},
"isSelected": true
}
],
"page": {
"page": 123,
"pageSize": 123,
"total": 123
}
}Get active coupons by location for the specified POS system.
curl --request GET \
--url https://public-api-demo.clearline.me/pos/{posSystemId}/coupon/active/locationId/{posLocationId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public-api-demo.clearline.me/pos/{posSystemId}/coupon/active/locationId/{posLocationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public-api-demo.clearline.me/pos/{posSystemId}/coupon/active/locationId/{posLocationId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://public-api-demo.clearline.me/pos/{posSystemId}/coupon/active/locationId/{posLocationId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://public-api-demo.clearline.me/pos/{posSystemId}/coupon/active/locationId/{posLocationId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public-api-demo.clearline.me/pos/{posSystemId}/coupon/active/locationId/{posLocationId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public-api-demo.clearline.me/pos/{posSystemId}/coupon/active/locationId/{posLocationId}")
.header("Authorization", "Bearer <token>")
.asString();{
"data": [
{
"id": "<string>",
"code": "<string>",
"url": "<string>",
"couponImage": "<string>",
"status": "example | active | archived | template | deleted",
"name": "<string>",
"title": "<string>",
"subtitle": "<string>",
"description": "<string>",
"couponCategoryId": "<string>",
"couponCategoryName": "<string>",
"banner1": "<string>",
"banner2": "<string>",
"banner3": "<string>",
"banner4": "<string>",
"banner5": "<string>",
"subaccount": "<string>",
"logoUrl": "<string>",
"couponTags": "<string>",
"expiryDate": "<string>",
"promotion": {
"value": 123
},
"isSelected": true
}
],
"page": {
"page": 123,
"pageSize": 123,
"total": 123
}
}JWT Authorization header using the Bearer scheme.
Enter JWT Bearer token only in the text input below.
Pos system name
Pos location identifier